package com.pcloud.book.rightsSetting.dao;

import com.pcloud.book.rightsSetting.dto.RightsSettingDto;
import com.pcloud.book.rightsSetting.entity.RightsSetting;
import com.pcloud.common.core.dao.BaseDao;

public interface RightsSettingDAO  extends BaseDao<RightsSetting> {
    int deleteByPrimaryKey(Long id);

    RightsSetting selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(RightsSetting record);

    int updateByPrimaryKey(RightsSetting record);

    RightsSettingDto getByLabel(Long firstClassify, Long secondClassify, Long gradeLabelId, Long subjectLabelId);
}
